"use strict";
// Copyright IBM Corp. 2018,2020. All Rights Reserved.
// Node module: @loopback/example-todo-list
// This file is licensed under the MIT License.
// License text available at https://opensource.org/licenses/MIT
Object.defineProperty(exports, "__esModule", { value: true });
exports.TodoListImageController = void 0;
const tslib_1 = require("tslib");
const repository_1 = require("@loopback/repository");
const rest_1 = require("@loopback/rest");
const models_1 = require("../models");
const repositories_1 = require("../repositories");
let TodoListImageController = class TodoListImageController {
    constructor(todoListRepo) {
        this.todoListRepo = todoListRepo;
    }
    async create(id, image) {
        return this.todoListRepo.image(id).create(image);
    }
    async find(id) {
        return this.todoListRepo.image(id).get();
    }
};
tslib_1.__decorate([
    rest_1.post('/todo-lists/{id}/image', {
        responses: {
            '200': {
                description: 'create todoListImage model instance',
                content: {
                    'application/json': { schema: rest_1.getModelSchemaRef(models_1.TodoListImage) },
                },
            },
        },
    }),
    tslib_1.__param(0, rest_1.param.path.number('id')),
    tslib_1.__param(1, rest_1.requestBody()),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", [Number, models_1.TodoListImage]),
    tslib_1.__metadata("design:returntype", Promise)
], TodoListImageController.prototype, "create", null);
tslib_1.__decorate([
    rest_1.get('/todo-lists/{id}/image', {
        responses: {
            '200': {
                description: 'The image belonging to the TodoList',
                content: {
                    'application/json': {
                        schema: rest_1.getModelSchemaRef(models_1.TodoListImage, { includeRelations: true }),
                    },
                },
            },
        },
    }),
    tslib_1.__param(0, rest_1.param.path.number('id')),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", [Number]),
    tslib_1.__metadata("design:returntype", Promise)
], TodoListImageController.prototype, "find", null);
TodoListImageController = tslib_1.__decorate([
    tslib_1.__param(0, repository_1.repository(repositories_1.TodoListRepository)),
    tslib_1.__metadata("design:paramtypes", [repositories_1.TodoListRepository])
], TodoListImageController);
exports.TodoListImageController = TodoListImageController;
//# sourceMappingURL=todo-list-image.controller.js.map